# Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
# 
# Author: Benjamin Ranft (benjamin.ranft@web.de)
# 
# This file is part of arDroneManual/Autonomous.
# 
# arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
# General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
# option) any later version.
# 
# arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
# the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
# more details.
# 
# You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
# <http://www.gnu.org/licenses/>.


# launch ROS and "ardrone_driver" node with optional hostname-specific configurations
if   [ "$HOSTNAME" = "mrt027" ] ; then
  roslaunch arDroneManual/data/ardroneYellow.launch
elif [ "$HOSTNAME" = "mrt138" ] ; then
  roslaunch arDroneManual/data/ardroneBlue.launch
elif [ "$HOSTNAME" = "mrt153" ] ; then
  roslaunch arDroneManual/data/ardroneBlack.launch
else
  roslaunch arDroneManual/data/ardroneDefault.launch
fi

